## Mako output template file for the following commands:
##   get lldp neighbors
##   get lldp neighbors <lldp-interface-name-kvm>

<%
lines = []
nested = '  '
nested4 = '    '
fmt32 = "{0:32}: {1:}"
fmt30 = "{0:30}: {1:}"
fmt28 = "{0:28}: {1:}"
for device in result:
    lines.append("{0:^60}".format('=' * 60))
    lines.append(fmt32.format("Device", device["Device"]))
    lines.append(fmt32.format("Neighbor Count", device["Neighbor Count"]))
    if device['Neighbors']:
        lines.append("Neighbors")
    for neighbor in device['Neighbors']:
        if 'Chassis Id' in neighbor:
            lines.append(nested + fmt30.format("Chassis Id", neighbor["Chassis Id"]))
        if 'Port Id' in neighbor:
            lines.append(nested + fmt30.format("Port Id", neighbor["Port Id"]))
        if 'Port Description' in neighbor:
            lines.append(nested + fmt30.format("Port Description", neighbor["Port Description"]))
        if 'System Name' in neighbor:
            lines.append(nested + fmt30.format("System Name", neighbor["System Name"]))
        if 'System Description' in neighbor:
            lines.append(nested + fmt30.format("System Description", neighbor["System Description"]))
        if 'Enabled Capabilities' in neighbor:
            lines.append(nested + fmt30.format("Enabled Capabilities", neighbor["Enabled Capabilities"]))
        lines.append(nested + 'Management Address:')
        if 'Management Address' in neighbor:
            lines.append(nested4 + fmt28.format("Management Address", neighbor["Management Address"]))
        if 'System Port Number' in neighbor:
            lines.append(nested4 + fmt28.format("System Port Number", neighbor["System Port Number"]))
        if 'Unknown' in neighbor:
            lines.append(nested4 + fmt28.format("Unknown", neighbor["Unknown"]))
        if 'ifIndex' in neighbor:
            lines.append(nested4 + fmt28.format("ifIndex", neighbor["ifIndex"]))
        if 'OID' in neighbor:
            lines.append(nested4 + fmt28.format("OID", neighbor["OID"]))
        lines.append(nested + 'Organizationally Specific TLVs:')
        if 'Mac/phy Auto-negotiation Support' in neighbor:
            lines.append(nested4 + fmt28.format("Mac/phy Auto-negotiation Support", neighbor["Mac/phy Auto-negotiation Support"]))
        if 'Mac/phy Auto-negotiation Status' in neighbor:
            lines.append(nested4 + fmt28.format("Mac/phy Auto-negotiation Status", neighbor["Mac/phy Auto-negotiation Status"]))
        if 'Mac/phy auto-negotiation capability' in neighbor:
            lines.append(nested4 + fmt28.format("Mac/phy Auto-negotiation Capability", neighbor["Mac/phy Auto-negotiation Capability"]))
        if 'Mac/phy MAU Type' in neighbor:
            lines.append(nested4 + fmt28.format("Mac/phy MAU Type", neighbor["Mac/phy MAU Type"]))
        if 'MDI Power Port Class' in neighbor:
            lines.append(nested4 + fmt28.format("MDI Power Port Class", neighbor["MDI Power Port Class"]))
        if 'PSE MDI Power Support' in neighbor:
            lines.append(nested4 + fmt28.format("PSE MDI Power Support", neighbor["PSE MDI Power Support"]))
        if 'PSE MDI Power State' in neighbor:
            lines.append(nested4 + fmt28.format("PSE MDI Power State", neighbor["PSE MDI Power State"]))
        if 'PSE Pairs Control Ability' in neighbor:
            lines.append(nested4 + fmt28.format("PSE Pairs Control Ability", neighbor["PSE Pairs Control Ability"]))
        if 'PSE Power Pair' in neighbor:
            lines.append(nested4 + fmt28.format("PSE Power Pair", neighbor["PSE Power Pair"]))
        if 'Power Class' in neighbor:
            lines.append(nested4 + fmt28.format("Power Class", neighbor["Power Class"]))
        if 'Aggregation Capability' in neighbor:
            lines.append(nested4 + fmt28.format("Aggregation Capability", neighbor["Aggregation Capability"]))
        if 'Aggregation Status' in neighbor:
            lines.append(nested4 + fmt28.format("Aggregation Status", neighbor["Aggregation Status"]))
        if 'Aggregated Port ID' in neighbor:
            lines.append(nested4 + fmt28.format("Aggregated Port ID", neighbor["Aggregated Port ID"]))
        if 'Maximum Frame Size' in neighbor:
            lines.append(nested4 + fmt28.format("Maximum Frame Size", neighbor["Maximum Frame Size"]))
        lines.append("")
%>
% for line in lines:
${line}
%endfor
