# Copyright (C) 2020-2021 VMware, Inc. All rights reserved.
# -- VMware Confidential

UNKNOWN = "UNKNOWN"
ERROR = "ERROR"
INSTALL_FAIL = "INSTALL_FAIL"
NORMAL = "NORMAL"
STATUS = "status"
PLUGIN = "PLUGIN"
NAME = "name"
PLUGIN_ID = "plugin_id"
DETAIL = "detail"
VERSION_STR = "version"
NODE_TYPE_STR = "node_type"
PRE_CONDITION_STR = "precondition"
DELAY_BEFORE_FIRST_CHECK = 'delay_before_first_check'
METRICS_STR = "metrics"
PREFIX_METRICS_STR = "prefix_metrics"
MODULES = "modules"
CLASSES = "classes"
ID = "ID"
PROFILE = "profile"
CONDITION_WAVEFRONT = 'wavefront'
CONDITION_TRACE = 'trace'
CONDITION_TSDB = 'tsdb'
REACHED = 'reached'
UNREACHED_MSG = 'unreached_msg'
CHECK_INTERVAL = 'CHECK_INTERVAL'
REPORT_INTERVAL = 'REPORT_INTERVAL'
SMALLEST_REPORT_INTERVAL_IF_CHANGE = 'SMALLEST_REPORT_INTERVAL_IF_CHANGE'
ENABLE = 'ENABLE'
PROFILE_NAME = "NAME"
SHA_STATUS_TYPE_INVALID = "SHA_STATUS_TYPE_INVALID"
PLUGIN_STATUS_TYPE_INVALID = "PLUGIN_STATUS_TYPE_INVALID"

# Constants for collector config
# Protobuf fields
COLLECTOR_IP = 'collector_ip'
COLLECTOR_FQDN = 'collector_fqdn'
COLLECTOR_PORT = "collector_port"
COLLECTOR_TRACING_PORT = "tracing_port"
# Collector type enum
COLLECTOR_TYPE_WAVE_FRONT = 'WAVE_FRONT'
COLLECTOR_TYPE_TSDB = 'TSDB'
# Other fields
COLLECTOR_HOST = "host"
COLLECTOR_METRICS_PORT = "metrics_port"

# Constants for TSDB certificate config
CERTIFICATE = 'certificate'
ENDPOINT = 'endpoint'
NODE_CERT = 'node_cert'
NODE_KEY = 'node_key'
NSX_CLUSTER_ID = "nsx_cluster_id"


#Constants for top process plugin
PID = 'pid'
USER_NAME = 'username'
NICE = 'nice'
VMS = 'vms'
RSS = 'rss'
SHARED = 'shard'
CPU_PERCENT = 'cpu_percent'
MEMORY_PERCENT = 'memory_percent'
TOP_PROCESS_LIST = 'top_process_list'
PROCESS = 'PROCESS'
MEM_LIST = 'mem_list'
CPU_LIST = 'cpu_list'
PERCENT = "%"
Bytes_to_MB = (1024*1024)

# Node latency constants
APPLIANCE_PROXY = 'appliance-proxy'
IP = 'ip'
ENTITY = 'entity'
UUID = 'uuid'
SRC_NODE = 'src_node'
SRC_IP = 'src_ip'
DST_NODE = 'dst_node'
DST_NODE_UUID = 'dst_node_uuid'
DST_IP = 'dst_ip'
LATENCY = 'latency'
PACKET_TRANSMITTED = 'packet_transmitted'
PACKET_RECEIVED = 'packet_received'
PACKET_LOSS_PERCENT = 'packet_loss_percent'
RTT_MIN = 'rtt_min'
RTT_AVG = 'rtt_avg'
RTT_MAX = 'rtt_max'
RTT_MDEV = 'rtt_mdev'
TOTAL_TIME = 'total_time'
LATENCY_LIST = 'latency_list'
UP = 'up'
DOWN = 'down'
COUNT = 'count'
NODE_LATENCY_THRESHOLD = 10.0

# Constant for data whiteboard
KEY = 'key'
VALUE = 'value'
TIMESTAMP = 'timestamp'
DATA = 'data'
EVENT_QUEUE = 'event_queue'
INTERVAL = 'interval'
MONITER_METRIC_REPORTED = "metric-reported"
MONITER_METRIC_FAIL_REPORT = "metric-fail-report"
CHILDREN = 'children'

# Data key for data whiteboard
FORKSERVER_STATS = 'nsx.sha.forkserver.stats'
FORKSERVER_MONITOR_STATS = 'nsx.sha.forkserver-monitor.stats'
FORKSERVER_PROCESS_STATS = 'nsx.sha.forkserver-process.stats'
FORKSERVER_EXECUTOR_STATS = 'nsx.sha.forkserver-executor.stats'
PRECONDITION_KEY = 'nsx.sha.precondition'

# Constant for wavefront
WAVEFRONT_TYPE = 'wavefront_type'
WAVEFRONT_TYPE_METRIC = 'wavefront_metric'
WAVEFRONT_TYPE_TRACING = 'wavefront_tracing'

# Export action constants
TYPE = 'type'
EXPORT_TYPE_WF_METRIC = 'wavefront'
EXPORT_TYPE_WF_TRACING = 'wavefront_tracing'
EXPORT_TYPE_DUMP_TRACE_FILE = 'tracing_file'
EXPORT_TYPE_TSDB_METRICS = 'tsdb_metrics'
EXPORT_TYPE_TSDB_METRICSBAG = 'tsdb_metricsbag'

# Hub constants
MPA_HUB = 'MpaHub'
ALARM_HUB = 'AlarmHub'
WAVEFRONT_HUB = 'WfHub'
TRACEDUMP_HUB = 'TracedumpHub'
TSDB_HUB ='TsdbHub'
