# Copyright (C) 2019 VMware, Inc. All rights reserved.
# -- VMware Confidential

from abc import ABCMeta, abstractmethod


class Monitor(metaclass=ABCMeta):
    """
    The base class of Monitor.
    A Monitor is responsible to monitor a kind of events/updates, and notify
    the specified MonitorNotifier when there are things happen.
    """

    @abstractmethod
    def start(self): pass

    @abstractmethod
    def stop(self): pass

    def notify(self, *args):
        """
        Hook for implementing event notifications
        :param args: notification data
        """